export function loadRules(rules, map, biome) {
    // Make sure map for biome exists
    if (!map.has(biome)) {
        map.set(biome, new Map());
    }
    // Get map for biome
    const biomeMap = map.get(biome);
    // Write rules to map
    rules.forEach((rule) => {
        if (Array.isArray(rule.from)) {
            rule.from.forEach((blockId) => biomeMap.set(blockId, rule.to));
        }
        else {
            biomeMap.set(rule.from, rule.to);
        }
    });
}
